package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OrderSoundLogMapper;
import com.ruoyi.system.domain.OrderSoundLog;
import com.ruoyi.system.service.IOrderSoundLogService;

/**
 * 录音临时文件Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class OrderSoundLogServiceImpl implements IOrderSoundLogService 
{
    @Autowired
    private OrderSoundLogMapper orderSoundLogMapper;

    /**
     * 查询录音临时文件
     * 
     * @param id 录音临时文件主键
     * @return 录音临时文件
     */
    @Override
    public OrderSoundLog selectOrderSoundLogById(Integer id)
    {
        return orderSoundLogMapper.selectOrderSoundLogById(id);
    }



    public int selectCountOrderSoundLogByoId(Long id){
        return orderSoundLogMapper.selectCountOrderSoundLogByoId(id);
    }
    /**
     * 查询录音临时文件列表
     * 
     * @param orderSoundLog 录音临时文件
     * @return 录音临时文件
     */
    @Override
    public List<OrderSoundLog> selectOrderSoundLogList(OrderSoundLog orderSoundLog)
    {
        return orderSoundLogMapper.selectOrderSoundLogList(orderSoundLog);
    }

    /**
     * 新增录音临时文件
     * 
     * @param orderSoundLog 录音临时文件
     * @return 结果
     */
    @Override
    public int insertOrderSoundLog(OrderSoundLog orderSoundLog)
    {
        return orderSoundLogMapper.insertOrderSoundLog(orderSoundLog);
    }

    /**
     * 修改录音临时文件
     * 
     * @param orderSoundLog 录音临时文件
     * @return 结果
     */
    @Override
    public int updateOrderSoundLog(OrderSoundLog orderSoundLog)
    {
        return orderSoundLogMapper.updateOrderSoundLog(orderSoundLog);
    }

    /**
     * 批量删除录音临时文件
     * 
     * @param ids 需要删除的录音临时文件主键
     * @return 结果
     */
    @Override
    public int deleteOrderSoundLogByIds(Integer[] ids)
    {
        return orderSoundLogMapper.deleteOrderSoundLogByIds(ids);
    }

    /**
     * 删除录音临时文件信息
     * 
     * @param id 录音临时文件主键
     * @return 结果
     */
    @Override
    public int deleteOrderSoundLogById(Integer id)
    {
        return orderSoundLogMapper.deleteOrderSoundLogById(id);
    }
}
